be.fgov.ehealth.mycarenet.commons.core.v4

## Class PackageType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.SelfRefType
  - - be.fgov.ehealth.mycarenet.commons.core.v4.AbstractIdType
    - - be.fgov.ehealth.mycarenet.commons.core.v4.PackageType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:13:05+01:00",
                 comments="JAXB RI v2.3.7")
      public class PackageType
      extends AbstractIdType
      implements Serializable

  Information about the software package that is connectedto MyCareNet.

  Java class for PackageType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PackageType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}AbstractIdType">
             <sequence>
               <element name="License" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}LicenseType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LicenseType` | `getLicense()` Gets the value of the license property.
    `void` | `setLicense(LicenseType value)` Sets the value of the license property.

    - ### Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.AbstractIdType

      `getName, setName`

    - ### Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.SelfRefType

      `getId, getRef, setId, setRef`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageType

          public PackageType()

  - ### Method Detail

    - #### getLicense

          public LicenseType getLicense()

      Gets the value of the license property.
      Returns:
        possible object is `LicenseType`

    - #### setLicense

          public void setLicense(LicenseType value)

      Sets the value of the license property.
      Parameters:
        `value` - allowed object is `LicenseType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.